org.eclnt.jsfserver.elements.componentnodes

## Class UI5M_PROGRESSINDICATORNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5M_PROGRESSINDICATORNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5M_PROGRESSINDICATORNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5M_PROGRESSINDICATORNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5M_PROGRESSINDICATORNode` | `bindActionListener(IActionListenerDelegation value)`
    `UI5M_PROGRESSINDICATORNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5M_PROGRESSINDICATORNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5M_PROGRESSINDICATORNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5M_PROGRESSINDICATORNode` | `bindDisplayvalue(IDynamicContentBindingObject value)`
    `UI5M_PROGRESSINDICATORNode` | `bindEnabled(IDynamicContentBindingObject value)`
    `UI5M_PROGRESSINDICATORNode` | `bindHeight(IDynamicContentBindingObject value)`
    `UI5M_PROGRESSINDICATORNode` | `bindLayoutdata(IDynamicContentBindingObject value)`
    `UI5M_PROGRESSINDICATORNode` | `bindPercentvalue(IDynamicContentBindingObject value)`
    `UI5M_PROGRESSINDICATORNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5M_PROGRESSINDICATORNode` | `bindShowvalue(IDynamicContentBindingObject value)`
    `UI5M_PROGRESSINDICATORNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5M_PROGRESSINDICATORNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5M_PROGRESSINDICATORNode` | `bindValuestate(IDynamicContentBindingObject value)`
    `UI5M_PROGRESSINDICATORNode` | `bindWidth(IDynamicContentBindingObject value)`
    `UI5M_PROGRESSINDICATORNode` | `setActionListener(java.lang.String value)`
    `UI5M_PROGRESSINDICATORNode` | `setAdapterbinding(java.lang.String value)`
    `UI5M_PROGRESSINDICATORNode` | `setAttributemacro(java.lang.String value)`
    `UI5M_PROGRESSINDICATORNode` | `setComment(java.lang.String value)`
    `UI5M_PROGRESSINDICATORNode` | `setConfiginfo(java.lang.String value)`
    `UI5M_PROGRESSINDICATORNode` | `setDisplayvalue(java.lang.String value)`
    `UI5M_PROGRESSINDICATORNode` | `setEnabled(boolean value)`
    `UI5M_PROGRESSINDICATORNode` | `setEnabled(java.lang.String value)`
    `UI5M_PROGRESSINDICATORNode` | `setHeight(int value)`
    `UI5M_PROGRESSINDICATORNode` | `setHeight(java.lang.String value)`
    `UI5M_PROGRESSINDICATORNode` | `setId(java.lang.String value)`
    `UI5M_PROGRESSINDICATORNode` | `setLayoutdata(java.lang.String value)`
    `UI5M_PROGRESSINDICATORNode` | `setPercentvalue(java.lang.String value)`
    `UI5M_PROGRESSINDICATORNode` | `setReference(java.lang.String value)`
    `UI5M_PROGRESSINDICATORNode` | `setRendered(boolean value)`
    `UI5M_PROGRESSINDICATORNode` | `setRendered(java.lang.String value)`
    `UI5M_PROGRESSINDICATORNode` | `setShowvalue(boolean value)`
    `UI5M_PROGRESSINDICATORNode` | `setShowvalue(java.lang.String value)`
    `UI5M_PROGRESSINDICATORNode` | `setStyleseq(java.lang.String value)`
    `UI5M_PROGRESSINDICATORNode` | `setStylevariant(java.lang.String value)`
    `UI5M_PROGRESSINDICATORNode` | `setValuestate(java.lang.String value)`
    `UI5M_PROGRESSINDICATORNode` | `setWidth(int value)`
    `UI5M_PROGRESSINDICATORNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5M_PROGRESSINDICATORNode

          public UI5M_PROGRESSINDICATORNode()

  - ### Method Detail

    - #### setId

          public UI5M_PROGRESSINDICATORNode setId(java.lang.String value)

    - #### setActionListener

          public UI5M_PROGRESSINDICATORNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public UI5M_PROGRESSINDICATORNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public UI5M_PROGRESSINDICATORNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5M_PROGRESSINDICATORNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5M_PROGRESSINDICATORNode setAttributemacro(java.lang.String value)

    - #### setComment

          public UI5M_PROGRESSINDICATORNode setComment(java.lang.String value)

    - #### bindComment

          public UI5M_PROGRESSINDICATORNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5M_PROGRESSINDICATORNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5M_PROGRESSINDICATORNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDisplayvalue

          public UI5M_PROGRESSINDICATORNode setDisplayvalue(java.lang.String value)

    - #### bindDisplayvalue

          public UI5M_PROGRESSINDICATORNode bindDisplayvalue(IDynamicContentBindingObject value)

    - #### setEnabled

          public UI5M_PROGRESSINDICATORNode setEnabled(java.lang.String value)

    - #### bindEnabled

          public UI5M_PROGRESSINDICATORNode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public UI5M_PROGRESSINDICATORNode setEnabled(boolean value)

    - #### setHeight

          public UI5M_PROGRESSINDICATORNode setHeight(java.lang.String value)

    - #### bindHeight

          public UI5M_PROGRESSINDICATORNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public UI5M_PROGRESSINDICATORNode setHeight(int value)

    - #### setLayoutdata

          public UI5M_PROGRESSINDICATORNode setLayoutdata(java.lang.String value)

    - #### bindLayoutdata

          public UI5M_PROGRESSINDICATORNode bindLayoutdata(IDynamicContentBindingObject value)

    - #### setPercentvalue

          public UI5M_PROGRESSINDICATORNode setPercentvalue(java.lang.String value)

    - #### bindPercentvalue

          public UI5M_PROGRESSINDICATORNode bindPercentvalue(IDynamicContentBindingObject value)

    - #### setReference

          public UI5M_PROGRESSINDICATORNode setReference(java.lang.String value)

    - #### setRendered

          public UI5M_PROGRESSINDICATORNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5M_PROGRESSINDICATORNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5M_PROGRESSINDICATORNode setRendered(boolean value)

    - #### setShowvalue

          public UI5M_PROGRESSINDICATORNode setShowvalue(java.lang.String value)

    - #### bindShowvalue

          public UI5M_PROGRESSINDICATORNode bindShowvalue(IDynamicContentBindingObject value)

    - #### setShowvalue

          public UI5M_PROGRESSINDICATORNode setShowvalue(boolean value)

    - #### setStyleseq

          public UI5M_PROGRESSINDICATORNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5M_PROGRESSINDICATORNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5M_PROGRESSINDICATORNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5M_PROGRESSINDICATORNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setValuestate

          public UI5M_PROGRESSINDICATORNode setValuestate(java.lang.String value)

    - #### bindValuestate

          public UI5M_PROGRESSINDICATORNode bindValuestate(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_PROGRESSINDICATORNode setWidth(java.lang.String value)

    - #### bindWidth

          public UI5M_PROGRESSINDICATORNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_PROGRESSINDICATORNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.